import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { AssociateFirewallRuleGroupRequest, AssociateFirewallRuleGroupResponse } from "../models/models_0";
import { deserializeAws_json1_1AssociateFirewallRuleGroupCommand, serializeAws_json1_1AssociateFirewallRuleGroupCommand, } from "../protocols/Aws_json1_1";
var AssociateFirewallRuleGroupCommand = (function (_super) {
    __extends(AssociateFirewallRuleGroupCommand, _super);
    function AssociateFirewallRuleGroupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    AssociateFirewallRuleGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "AssociateFirewallRuleGroupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: AssociateFirewallRuleGroupRequest.filterSensitiveLog,
            outputFilterSensitiveLog: AssociateFirewallRuleGroupResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    AssociateFirewallRuleGroupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1AssociateFirewallRuleGroupCommand(input, context);
    };
    AssociateFirewallRuleGroupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1AssociateFirewallRuleGroupCommand(output, context);
    };
    return AssociateFirewallRuleGroupCommand;
}($Command));
export { AssociateFirewallRuleGroupCommand };
