import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { AssociateResolverEndpointIpAddressRequest, AssociateResolverEndpointIpAddressResponse, } from "../models/models_0";
import { deserializeAws_json1_1AssociateResolverEndpointIpAddressCommand, serializeAws_json1_1AssociateResolverEndpointIpAddressCommand, } from "../protocols/Aws_json1_1";
var AssociateResolverEndpointIpAddressCommand = (function (_super) {
    __extends(AssociateResolverEndpointIpAddressCommand, _super);
    function AssociateResolverEndpointIpAddressCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    AssociateResolverEndpointIpAddressCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "AssociateResolverEndpointIpAddressCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: AssociateResolverEndpointIpAddressRequest.filterSensitiveLog,
            outputFilterSensitiveLog: AssociateResolverEndpointIpAddressResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    AssociateResolverEndpointIpAddressCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1AssociateResolverEndpointIpAddressCommand(input, context);
    };
    AssociateResolverEndpointIpAddressCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1AssociateResolverEndpointIpAddressCommand(output, context);
    };
    return AssociateResolverEndpointIpAddressCommand;
}($Command));
export { AssociateResolverEndpointIpAddressCommand };
