import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { AssociateResolverQueryLogConfigRequest, AssociateResolverQueryLogConfigResponse } from "../models/models_0";
import { deserializeAws_json1_1AssociateResolverQueryLogConfigCommand, serializeAws_json1_1AssociateResolverQueryLogConfigCommand, } from "../protocols/Aws_json1_1";
var AssociateResolverQueryLogConfigCommand = (function (_super) {
    __extends(AssociateResolverQueryLogConfigCommand, _super);
    function AssociateResolverQueryLogConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    AssociateResolverQueryLogConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "AssociateResolverQueryLogConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: AssociateResolverQueryLogConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: AssociateResolverQueryLogConfigResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    AssociateResolverQueryLogConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1AssociateResolverQueryLogConfigCommand(input, context);
    };
    AssociateResolverQueryLogConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1AssociateResolverQueryLogConfigCommand(output, context);
    };
    return AssociateResolverQueryLogConfigCommand;
}($Command));
export { AssociateResolverQueryLogConfigCommand };
