import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { AssociateResolverRuleRequest, AssociateResolverRuleResponse } from "../models/models_0";
import { deserializeAws_json1_1AssociateResolverRuleCommand, serializeAws_json1_1AssociateResolverRuleCommand, } from "../protocols/Aws_json1_1";
var AssociateResolverRuleCommand = (function (_super) {
    __extends(AssociateResolverRuleCommand, _super);
    function AssociateResolverRuleCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    AssociateResolverRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "AssociateResolverRuleCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: AssociateResolverRuleRequest.filterSensitiveLog,
            outputFilterSensitiveLog: AssociateResolverRuleResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    AssociateResolverRuleCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1AssociateResolverRuleCommand(input, context);
    };
    AssociateResolverRuleCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1AssociateResolverRuleCommand(output, context);
    };
    return AssociateResolverRuleCommand;
}($Command));
export { AssociateResolverRuleCommand };
