import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateFirewallRuleRequest, CreateFirewallRuleResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateFirewallRuleCommand, serializeAws_json1_1CreateFirewallRuleCommand, } from "../protocols/Aws_json1_1";
var CreateFirewallRuleCommand = (function (_super) {
    __extends(CreateFirewallRuleCommand, _super);
    function CreateFirewallRuleCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateFirewallRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "CreateFirewallRuleCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateFirewallRuleRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateFirewallRuleResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateFirewallRuleCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateFirewallRuleCommand(input, context);
    };
    CreateFirewallRuleCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateFirewallRuleCommand(output, context);
    };
    return CreateFirewallRuleCommand;
}($Command));
export { CreateFirewallRuleCommand };
