import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateFirewallRuleGroupRequest, CreateFirewallRuleGroupResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateFirewallRuleGroupCommand, serializeAws_json1_1CreateFirewallRuleGroupCommand, } from "../protocols/Aws_json1_1";
var CreateFirewallRuleGroupCommand = (function (_super) {
    __extends(CreateFirewallRuleGroupCommand, _super);
    function CreateFirewallRuleGroupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateFirewallRuleGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "CreateFirewallRuleGroupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateFirewallRuleGroupRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateFirewallRuleGroupResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateFirewallRuleGroupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateFirewallRuleGroupCommand(input, context);
    };
    CreateFirewallRuleGroupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateFirewallRuleGroupCommand(output, context);
    };
    return CreateFirewallRuleGroupCommand;
}($Command));
export { CreateFirewallRuleGroupCommand };
