import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateResolverQueryLogConfigRequest, CreateResolverQueryLogConfigResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateResolverQueryLogConfigCommand, serializeAws_json1_1CreateResolverQueryLogConfigCommand, } from "../protocols/Aws_json1_1";
var CreateResolverQueryLogConfigCommand = (function (_super) {
    __extends(CreateResolverQueryLogConfigCommand, _super);
    function CreateResolverQueryLogConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateResolverQueryLogConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "CreateResolverQueryLogConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateResolverQueryLogConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateResolverQueryLogConfigResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateResolverQueryLogConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateResolverQueryLogConfigCommand(input, context);
    };
    CreateResolverQueryLogConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateResolverQueryLogConfigCommand(output, context);
    };
    return CreateResolverQueryLogConfigCommand;
}($Command));
export { CreateResolverQueryLogConfigCommand };
