import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateResolverRuleRequest, CreateResolverRuleResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateResolverRuleCommand, serializeAws_json1_1CreateResolverRuleCommand, } from "../protocols/Aws_json1_1";
var CreateResolverRuleCommand = (function (_super) {
    __extends(CreateResolverRuleCommand, _super);
    function CreateResolverRuleCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateResolverRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "CreateResolverRuleCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateResolverRuleRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateResolverRuleResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateResolverRuleCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateResolverRuleCommand(input, context);
    };
    CreateResolverRuleCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateResolverRuleCommand(output, context);
    };
    return CreateResolverRuleCommand;
}($Command));
export { CreateResolverRuleCommand };
