import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteFirewallDomainListRequest, DeleteFirewallDomainListResponse } from "../models/models_0";
import { deserializeAws_json1_1DeleteFirewallDomainListCommand, serializeAws_json1_1DeleteFirewallDomainListCommand, } from "../protocols/Aws_json1_1";
var DeleteFirewallDomainListCommand = (function (_super) {
    __extends(DeleteFirewallDomainListCommand, _super);
    function DeleteFirewallDomainListCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteFirewallDomainListCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "DeleteFirewallDomainListCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteFirewallDomainListRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteFirewallDomainListResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteFirewallDomainListCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteFirewallDomainListCommand(input, context);
    };
    DeleteFirewallDomainListCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteFirewallDomainListCommand(output, context);
    };
    return DeleteFirewallDomainListCommand;
}($Command));
export { DeleteFirewallDomainListCommand };
