import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteFirewallRuleRequest, DeleteFirewallRuleResponse } from "../models/models_0";
import { deserializeAws_json1_1DeleteFirewallRuleCommand, serializeAws_json1_1DeleteFirewallRuleCommand, } from "../protocols/Aws_json1_1";
var DeleteFirewallRuleCommand = (function (_super) {
    __extends(DeleteFirewallRuleCommand, _super);
    function DeleteFirewallRuleCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteFirewallRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "DeleteFirewallRuleCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteFirewallRuleRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteFirewallRuleResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteFirewallRuleCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteFirewallRuleCommand(input, context);
    };
    DeleteFirewallRuleCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteFirewallRuleCommand(output, context);
    };
    return DeleteFirewallRuleCommand;
}($Command));
export { DeleteFirewallRuleCommand };
