import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteFirewallRuleGroupRequest, DeleteFirewallRuleGroupResponse } from "../models/models_0";
import { deserializeAws_json1_1DeleteFirewallRuleGroupCommand, serializeAws_json1_1DeleteFirewallRuleGroupCommand, } from "../protocols/Aws_json1_1";
var DeleteFirewallRuleGroupCommand = (function (_super) {
    __extends(DeleteFirewallRuleGroupCommand, _super);
    function DeleteFirewallRuleGroupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteFirewallRuleGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "DeleteFirewallRuleGroupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteFirewallRuleGroupRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteFirewallRuleGroupResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteFirewallRuleGroupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteFirewallRuleGroupCommand(input, context);
    };
    DeleteFirewallRuleGroupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteFirewallRuleGroupCommand(output, context);
    };
    return DeleteFirewallRuleGroupCommand;
}($Command));
export { DeleteFirewallRuleGroupCommand };
