import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteResolverEndpointRequest, DeleteResolverEndpointResponse } from "../models/models_0";
import { deserializeAws_json1_1DeleteResolverEndpointCommand, serializeAws_json1_1DeleteResolverEndpointCommand, } from "../protocols/Aws_json1_1";
var DeleteResolverEndpointCommand = (function (_super) {
    __extends(DeleteResolverEndpointCommand, _super);
    function DeleteResolverEndpointCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteResolverEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "DeleteResolverEndpointCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteResolverEndpointRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteResolverEndpointResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteResolverEndpointCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteResolverEndpointCommand(input, context);
    };
    DeleteResolverEndpointCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteResolverEndpointCommand(output, context);
    };
    return DeleteResolverEndpointCommand;
}($Command));
export { DeleteResolverEndpointCommand };
