import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteResolverQueryLogConfigRequest, DeleteResolverQueryLogConfigResponse } from "../models/models_0";
import { deserializeAws_json1_1DeleteResolverQueryLogConfigCommand, serializeAws_json1_1DeleteResolverQueryLogConfigCommand, } from "../protocols/Aws_json1_1";
var DeleteResolverQueryLogConfigCommand = (function (_super) {
    __extends(DeleteResolverQueryLogConfigCommand, _super);
    function DeleteResolverQueryLogConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteResolverQueryLogConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "DeleteResolverQueryLogConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteResolverQueryLogConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteResolverQueryLogConfigResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteResolverQueryLogConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteResolverQueryLogConfigCommand(input, context);
    };
    DeleteResolverQueryLogConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteResolverQueryLogConfigCommand(output, context);
    };
    return DeleteResolverQueryLogConfigCommand;
}($Command));
export { DeleteResolverQueryLogConfigCommand };
