import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteResolverRuleRequest, DeleteResolverRuleResponse } from "../models/models_0";
import { deserializeAws_json1_1DeleteResolverRuleCommand, serializeAws_json1_1DeleteResolverRuleCommand, } from "../protocols/Aws_json1_1";
var DeleteResolverRuleCommand = (function (_super) {
    __extends(DeleteResolverRuleCommand, _super);
    function DeleteResolverRuleCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteResolverRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "DeleteResolverRuleCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteResolverRuleRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteResolverRuleResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteResolverRuleCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteResolverRuleCommand(input, context);
    };
    DeleteResolverRuleCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteResolverRuleCommand(output, context);
    };
    return DeleteResolverRuleCommand;
}($Command));
export { DeleteResolverRuleCommand };
