import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DisassociateFirewallRuleGroupRequest, DisassociateFirewallRuleGroupResponse } from "../models/models_0";
import { deserializeAws_json1_1DisassociateFirewallRuleGroupCommand, serializeAws_json1_1DisassociateFirewallRuleGroupCommand, } from "../protocols/Aws_json1_1";
var DisassociateFirewallRuleGroupCommand = (function (_super) {
    __extends(DisassociateFirewallRuleGroupCommand, _super);
    function DisassociateFirewallRuleGroupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DisassociateFirewallRuleGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "DisassociateFirewallRuleGroupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DisassociateFirewallRuleGroupRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DisassociateFirewallRuleGroupResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DisassociateFirewallRuleGroupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DisassociateFirewallRuleGroupCommand(input, context);
    };
    DisassociateFirewallRuleGroupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DisassociateFirewallRuleGroupCommand(output, context);
    };
    return DisassociateFirewallRuleGroupCommand;
}($Command));
export { DisassociateFirewallRuleGroupCommand };
