import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DisassociateResolverEndpointIpAddressRequest, DisassociateResolverEndpointIpAddressResponse, } from "../models/models_0";
import { deserializeAws_json1_1DisassociateResolverEndpointIpAddressCommand, serializeAws_json1_1DisassociateResolverEndpointIpAddressCommand, } from "../protocols/Aws_json1_1";
var DisassociateResolverEndpointIpAddressCommand = (function (_super) {
    __extends(DisassociateResolverEndpointIpAddressCommand, _super);
    function DisassociateResolverEndpointIpAddressCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DisassociateResolverEndpointIpAddressCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "DisassociateResolverEndpointIpAddressCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DisassociateResolverEndpointIpAddressRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DisassociateResolverEndpointIpAddressResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DisassociateResolverEndpointIpAddressCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DisassociateResolverEndpointIpAddressCommand(input, context);
    };
    DisassociateResolverEndpointIpAddressCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DisassociateResolverEndpointIpAddressCommand(output, context);
    };
    return DisassociateResolverEndpointIpAddressCommand;
}($Command));
export { DisassociateResolverEndpointIpAddressCommand };
