import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DisassociateResolverQueryLogConfigRequest, DisassociateResolverQueryLogConfigResponse, } from "../models/models_0";
import { deserializeAws_json1_1DisassociateResolverQueryLogConfigCommand, serializeAws_json1_1DisassociateResolverQueryLogConfigCommand, } from "../protocols/Aws_json1_1";
var DisassociateResolverQueryLogConfigCommand = (function (_super) {
    __extends(DisassociateResolverQueryLogConfigCommand, _super);
    function DisassociateResolverQueryLogConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DisassociateResolverQueryLogConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "DisassociateResolverQueryLogConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DisassociateResolverQueryLogConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DisassociateResolverQueryLogConfigResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DisassociateResolverQueryLogConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DisassociateResolverQueryLogConfigCommand(input, context);
    };
    DisassociateResolverQueryLogConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DisassociateResolverQueryLogConfigCommand(output, context);
    };
    return DisassociateResolverQueryLogConfigCommand;
}($Command));
export { DisassociateResolverQueryLogConfigCommand };
