import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DisassociateResolverRuleRequest, DisassociateResolverRuleResponse } from "../models/models_0";
import { deserializeAws_json1_1DisassociateResolverRuleCommand, serializeAws_json1_1DisassociateResolverRuleCommand, } from "../protocols/Aws_json1_1";
var DisassociateResolverRuleCommand = (function (_super) {
    __extends(DisassociateResolverRuleCommand, _super);
    function DisassociateResolverRuleCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DisassociateResolverRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "DisassociateResolverRuleCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DisassociateResolverRuleRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DisassociateResolverRuleResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DisassociateResolverRuleCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DisassociateResolverRuleCommand(input, context);
    };
    DisassociateResolverRuleCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DisassociateResolverRuleCommand(output, context);
    };
    return DisassociateResolverRuleCommand;
}($Command));
export { DisassociateResolverRuleCommand };
