import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetFirewallConfigRequest, GetFirewallConfigResponse } from "../models/models_0";
import { deserializeAws_json1_1GetFirewallConfigCommand, serializeAws_json1_1GetFirewallConfigCommand, } from "../protocols/Aws_json1_1";
var GetFirewallConfigCommand = (function (_super) {
    __extends(GetFirewallConfigCommand, _super);
    function GetFirewallConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetFirewallConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "GetFirewallConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetFirewallConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetFirewallConfigResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetFirewallConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetFirewallConfigCommand(input, context);
    };
    GetFirewallConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetFirewallConfigCommand(output, context);
    };
    return GetFirewallConfigCommand;
}($Command));
export { GetFirewallConfigCommand };
