import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetFirewallDomainListRequest, GetFirewallDomainListResponse } from "../models/models_0";
import { deserializeAws_json1_1GetFirewallDomainListCommand, serializeAws_json1_1GetFirewallDomainListCommand, } from "../protocols/Aws_json1_1";
var GetFirewallDomainListCommand = (function (_super) {
    __extends(GetFirewallDomainListCommand, _super);
    function GetFirewallDomainListCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetFirewallDomainListCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "GetFirewallDomainListCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetFirewallDomainListRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetFirewallDomainListResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetFirewallDomainListCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetFirewallDomainListCommand(input, context);
    };
    GetFirewallDomainListCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetFirewallDomainListCommand(output, context);
    };
    return GetFirewallDomainListCommand;
}($Command));
export { GetFirewallDomainListCommand };
