import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetFirewallRuleGroupAssociationRequest, GetFirewallRuleGroupAssociationResponse } from "../models/models_0";
import { deserializeAws_json1_1GetFirewallRuleGroupAssociationCommand, serializeAws_json1_1GetFirewallRuleGroupAssociationCommand, } from "../protocols/Aws_json1_1";
var GetFirewallRuleGroupAssociationCommand = (function (_super) {
    __extends(GetFirewallRuleGroupAssociationCommand, _super);
    function GetFirewallRuleGroupAssociationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetFirewallRuleGroupAssociationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "GetFirewallRuleGroupAssociationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetFirewallRuleGroupAssociationRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetFirewallRuleGroupAssociationResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetFirewallRuleGroupAssociationCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetFirewallRuleGroupAssociationCommand(input, context);
    };
    GetFirewallRuleGroupAssociationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetFirewallRuleGroupAssociationCommand(output, context);
    };
    return GetFirewallRuleGroupAssociationCommand;
}($Command));
export { GetFirewallRuleGroupAssociationCommand };
