import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetFirewallRuleGroupRequest, GetFirewallRuleGroupResponse } from "../models/models_0";
import { deserializeAws_json1_1GetFirewallRuleGroupCommand, serializeAws_json1_1GetFirewallRuleGroupCommand, } from "../protocols/Aws_json1_1";
var GetFirewallRuleGroupCommand = (function (_super) {
    __extends(GetFirewallRuleGroupCommand, _super);
    function GetFirewallRuleGroupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetFirewallRuleGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "GetFirewallRuleGroupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetFirewallRuleGroupRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetFirewallRuleGroupResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetFirewallRuleGroupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetFirewallRuleGroupCommand(input, context);
    };
    GetFirewallRuleGroupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetFirewallRuleGroupCommand(output, context);
    };
    return GetFirewallRuleGroupCommand;
}($Command));
export { GetFirewallRuleGroupCommand };
