import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetFirewallRuleGroupPolicyRequest, GetFirewallRuleGroupPolicyResponse } from "../models/models_0";
import { deserializeAws_json1_1GetFirewallRuleGroupPolicyCommand, serializeAws_json1_1GetFirewallRuleGroupPolicyCommand, } from "../protocols/Aws_json1_1";
var GetFirewallRuleGroupPolicyCommand = (function (_super) {
    __extends(GetFirewallRuleGroupPolicyCommand, _super);
    function GetFirewallRuleGroupPolicyCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetFirewallRuleGroupPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "GetFirewallRuleGroupPolicyCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetFirewallRuleGroupPolicyRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetFirewallRuleGroupPolicyResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetFirewallRuleGroupPolicyCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetFirewallRuleGroupPolicyCommand(input, context);
    };
    GetFirewallRuleGroupPolicyCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetFirewallRuleGroupPolicyCommand(output, context);
    };
    return GetFirewallRuleGroupPolicyCommand;
}($Command));
export { GetFirewallRuleGroupPolicyCommand };
