import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetResolverConfigRequest, GetResolverConfigResponse } from "../models/models_0";
import { deserializeAws_json1_1GetResolverConfigCommand, serializeAws_json1_1GetResolverConfigCommand, } from "../protocols/Aws_json1_1";
var GetResolverConfigCommand = (function (_super) {
    __extends(GetResolverConfigCommand, _super);
    function GetResolverConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetResolverConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "GetResolverConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetResolverConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetResolverConfigResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetResolverConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetResolverConfigCommand(input, context);
    };
    GetResolverConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetResolverConfigCommand(output, context);
    };
    return GetResolverConfigCommand;
}($Command));
export { GetResolverConfigCommand };
