import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetResolverDnssecConfigRequest, GetResolverDnssecConfigResponse } from "../models/models_0";
import { deserializeAws_json1_1GetResolverDnssecConfigCommand, serializeAws_json1_1GetResolverDnssecConfigCommand, } from "../protocols/Aws_json1_1";
var GetResolverDnssecConfigCommand = (function (_super) {
    __extends(GetResolverDnssecConfigCommand, _super);
    function GetResolverDnssecConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetResolverDnssecConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "GetResolverDnssecConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetResolverDnssecConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetResolverDnssecConfigResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetResolverDnssecConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetResolverDnssecConfigCommand(input, context);
    };
    GetResolverDnssecConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetResolverDnssecConfigCommand(output, context);
    };
    return GetResolverDnssecConfigCommand;
}($Command));
export { GetResolverDnssecConfigCommand };
