import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetResolverEndpointRequest, GetResolverEndpointResponse } from "../models/models_0";
import { deserializeAws_json1_1GetResolverEndpointCommand, serializeAws_json1_1GetResolverEndpointCommand, } from "../protocols/Aws_json1_1";
var GetResolverEndpointCommand = (function (_super) {
    __extends(GetResolverEndpointCommand, _super);
    function GetResolverEndpointCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetResolverEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "GetResolverEndpointCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetResolverEndpointRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetResolverEndpointResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetResolverEndpointCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetResolverEndpointCommand(input, context);
    };
    GetResolverEndpointCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetResolverEndpointCommand(output, context);
    };
    return GetResolverEndpointCommand;
}($Command));
export { GetResolverEndpointCommand };
