import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetResolverQueryLogConfigAssociationRequest, GetResolverQueryLogConfigAssociationResponse, } from "../models/models_0";
import { deserializeAws_json1_1GetResolverQueryLogConfigAssociationCommand, serializeAws_json1_1GetResolverQueryLogConfigAssociationCommand, } from "../protocols/Aws_json1_1";
var GetResolverQueryLogConfigAssociationCommand = (function (_super) {
    __extends(GetResolverQueryLogConfigAssociationCommand, _super);
    function GetResolverQueryLogConfigAssociationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetResolverQueryLogConfigAssociationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "GetResolverQueryLogConfigAssociationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetResolverQueryLogConfigAssociationRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetResolverQueryLogConfigAssociationResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetResolverQueryLogConfigAssociationCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetResolverQueryLogConfigAssociationCommand(input, context);
    };
    GetResolverQueryLogConfigAssociationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetResolverQueryLogConfigAssociationCommand(output, context);
    };
    return GetResolverQueryLogConfigAssociationCommand;
}($Command));
export { GetResolverQueryLogConfigAssociationCommand };
