import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetResolverQueryLogConfigRequest, GetResolverQueryLogConfigResponse } from "../models/models_0";
import { deserializeAws_json1_1GetResolverQueryLogConfigCommand, serializeAws_json1_1GetResolverQueryLogConfigCommand, } from "../protocols/Aws_json1_1";
var GetResolverQueryLogConfigCommand = (function (_super) {
    __extends(GetResolverQueryLogConfigCommand, _super);
    function GetResolverQueryLogConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetResolverQueryLogConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "GetResolverQueryLogConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetResolverQueryLogConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetResolverQueryLogConfigResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetResolverQueryLogConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetResolverQueryLogConfigCommand(input, context);
    };
    GetResolverQueryLogConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetResolverQueryLogConfigCommand(output, context);
    };
    return GetResolverQueryLogConfigCommand;
}($Command));
export { GetResolverQueryLogConfigCommand };
