import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetResolverQueryLogConfigPolicyRequest, GetResolverQueryLogConfigPolicyResponse } from "../models/models_0";
import { deserializeAws_json1_1GetResolverQueryLogConfigPolicyCommand, serializeAws_json1_1GetResolverQueryLogConfigPolicyCommand, } from "../protocols/Aws_json1_1";
var GetResolverQueryLogConfigPolicyCommand = (function (_super) {
    __extends(GetResolverQueryLogConfigPolicyCommand, _super);
    function GetResolverQueryLogConfigPolicyCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetResolverQueryLogConfigPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "GetResolverQueryLogConfigPolicyCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetResolverQueryLogConfigPolicyRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetResolverQueryLogConfigPolicyResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetResolverQueryLogConfigPolicyCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetResolverQueryLogConfigPolicyCommand(input, context);
    };
    GetResolverQueryLogConfigPolicyCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetResolverQueryLogConfigPolicyCommand(output, context);
    };
    return GetResolverQueryLogConfigPolicyCommand;
}($Command));
export { GetResolverQueryLogConfigPolicyCommand };
