import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetResolverRuleAssociationRequest, GetResolverRuleAssociationResponse } from "../models/models_0";
import { deserializeAws_json1_1GetResolverRuleAssociationCommand, serializeAws_json1_1GetResolverRuleAssociationCommand, } from "../protocols/Aws_json1_1";
var GetResolverRuleAssociationCommand = (function (_super) {
    __extends(GetResolverRuleAssociationCommand, _super);
    function GetResolverRuleAssociationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetResolverRuleAssociationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "GetResolverRuleAssociationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetResolverRuleAssociationRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetResolverRuleAssociationResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetResolverRuleAssociationCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetResolverRuleAssociationCommand(input, context);
    };
    GetResolverRuleAssociationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetResolverRuleAssociationCommand(output, context);
    };
    return GetResolverRuleAssociationCommand;
}($Command));
export { GetResolverRuleAssociationCommand };
