import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetResolverRuleRequest, GetResolverRuleResponse } from "../models/models_0";
import { deserializeAws_json1_1GetResolverRuleCommand, serializeAws_json1_1GetResolverRuleCommand, } from "../protocols/Aws_json1_1";
var GetResolverRuleCommand = (function (_super) {
    __extends(GetResolverRuleCommand, _super);
    function GetResolverRuleCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetResolverRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "GetResolverRuleCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetResolverRuleRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetResolverRuleResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetResolverRuleCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetResolverRuleCommand(input, context);
    };
    GetResolverRuleCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetResolverRuleCommand(output, context);
    };
    return GetResolverRuleCommand;
}($Command));
export { GetResolverRuleCommand };
