import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ImportFirewallDomainsRequest, ImportFirewallDomainsResponse } from "../models/models_0";
import { deserializeAws_json1_1ImportFirewallDomainsCommand, serializeAws_json1_1ImportFirewallDomainsCommand, } from "../protocols/Aws_json1_1";
var ImportFirewallDomainsCommand = (function (_super) {
    __extends(ImportFirewallDomainsCommand, _super);
    function ImportFirewallDomainsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ImportFirewallDomainsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "ImportFirewallDomainsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ImportFirewallDomainsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ImportFirewallDomainsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ImportFirewallDomainsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ImportFirewallDomainsCommand(input, context);
    };
    ImportFirewallDomainsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ImportFirewallDomainsCommand(output, context);
    };
    return ImportFirewallDomainsCommand;
}($Command));
export { ImportFirewallDomainsCommand };
