import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListFirewallConfigsRequest, ListFirewallConfigsResponse } from "../models/models_0";
import { deserializeAws_json1_1ListFirewallConfigsCommand, serializeAws_json1_1ListFirewallConfigsCommand, } from "../protocols/Aws_json1_1";
var ListFirewallConfigsCommand = (function (_super) {
    __extends(ListFirewallConfigsCommand, _super);
    function ListFirewallConfigsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListFirewallConfigsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "ListFirewallConfigsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListFirewallConfigsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListFirewallConfigsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListFirewallConfigsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListFirewallConfigsCommand(input, context);
    };
    ListFirewallConfigsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListFirewallConfigsCommand(output, context);
    };
    return ListFirewallConfigsCommand;
}($Command));
export { ListFirewallConfigsCommand };
