import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListFirewallDomainListsRequest, ListFirewallDomainListsResponse } from "../models/models_0";
import { deserializeAws_json1_1ListFirewallDomainListsCommand, serializeAws_json1_1ListFirewallDomainListsCommand, } from "../protocols/Aws_json1_1";
var ListFirewallDomainListsCommand = (function (_super) {
    __extends(ListFirewallDomainListsCommand, _super);
    function ListFirewallDomainListsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListFirewallDomainListsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "ListFirewallDomainListsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListFirewallDomainListsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListFirewallDomainListsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListFirewallDomainListsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListFirewallDomainListsCommand(input, context);
    };
    ListFirewallDomainListsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListFirewallDomainListsCommand(output, context);
    };
    return ListFirewallDomainListsCommand;
}($Command));
export { ListFirewallDomainListsCommand };
