import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListFirewallDomainsRequest, ListFirewallDomainsResponse } from "../models/models_0";
import { deserializeAws_json1_1ListFirewallDomainsCommand, serializeAws_json1_1ListFirewallDomainsCommand, } from "../protocols/Aws_json1_1";
var ListFirewallDomainsCommand = (function (_super) {
    __extends(ListFirewallDomainsCommand, _super);
    function ListFirewallDomainsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListFirewallDomainsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "ListFirewallDomainsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListFirewallDomainsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListFirewallDomainsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListFirewallDomainsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListFirewallDomainsCommand(input, context);
    };
    ListFirewallDomainsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListFirewallDomainsCommand(output, context);
    };
    return ListFirewallDomainsCommand;
}($Command));
export { ListFirewallDomainsCommand };
