import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListFirewallRuleGroupAssociationsRequest, ListFirewallRuleGroupAssociationsResponse, } from "../models/models_0";
import { deserializeAws_json1_1ListFirewallRuleGroupAssociationsCommand, serializeAws_json1_1ListFirewallRuleGroupAssociationsCommand, } from "../protocols/Aws_json1_1";
var ListFirewallRuleGroupAssociationsCommand = (function (_super) {
    __extends(ListFirewallRuleGroupAssociationsCommand, _super);
    function ListFirewallRuleGroupAssociationsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListFirewallRuleGroupAssociationsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "ListFirewallRuleGroupAssociationsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListFirewallRuleGroupAssociationsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListFirewallRuleGroupAssociationsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListFirewallRuleGroupAssociationsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListFirewallRuleGroupAssociationsCommand(input, context);
    };
    ListFirewallRuleGroupAssociationsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListFirewallRuleGroupAssociationsCommand(output, context);
    };
    return ListFirewallRuleGroupAssociationsCommand;
}($Command));
export { ListFirewallRuleGroupAssociationsCommand };
