import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListFirewallRuleGroupsRequest, ListFirewallRuleGroupsResponse } from "../models/models_0";
import { deserializeAws_json1_1ListFirewallRuleGroupsCommand, serializeAws_json1_1ListFirewallRuleGroupsCommand, } from "../protocols/Aws_json1_1";
var ListFirewallRuleGroupsCommand = (function (_super) {
    __extends(ListFirewallRuleGroupsCommand, _super);
    function ListFirewallRuleGroupsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListFirewallRuleGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "ListFirewallRuleGroupsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListFirewallRuleGroupsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListFirewallRuleGroupsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListFirewallRuleGroupsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListFirewallRuleGroupsCommand(input, context);
    };
    ListFirewallRuleGroupsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListFirewallRuleGroupsCommand(output, context);
    };
    return ListFirewallRuleGroupsCommand;
}($Command));
export { ListFirewallRuleGroupsCommand };
