import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListFirewallRulesRequest, ListFirewallRulesResponse } from "../models/models_0";
import { deserializeAws_json1_1ListFirewallRulesCommand, serializeAws_json1_1ListFirewallRulesCommand, } from "../protocols/Aws_json1_1";
var ListFirewallRulesCommand = (function (_super) {
    __extends(ListFirewallRulesCommand, _super);
    function ListFirewallRulesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListFirewallRulesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "ListFirewallRulesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListFirewallRulesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListFirewallRulesResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListFirewallRulesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListFirewallRulesCommand(input, context);
    };
    ListFirewallRulesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListFirewallRulesCommand(output, context);
    };
    return ListFirewallRulesCommand;
}($Command));
export { ListFirewallRulesCommand };
