import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListResolverDnssecConfigsRequest, ListResolverDnssecConfigsResponse } from "../models/models_0";
import { deserializeAws_json1_1ListResolverDnssecConfigsCommand, serializeAws_json1_1ListResolverDnssecConfigsCommand, } from "../protocols/Aws_json1_1";
var ListResolverDnssecConfigsCommand = (function (_super) {
    __extends(ListResolverDnssecConfigsCommand, _super);
    function ListResolverDnssecConfigsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListResolverDnssecConfigsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "ListResolverDnssecConfigsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListResolverDnssecConfigsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListResolverDnssecConfigsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListResolverDnssecConfigsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListResolverDnssecConfigsCommand(input, context);
    };
    ListResolverDnssecConfigsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListResolverDnssecConfigsCommand(output, context);
    };
    return ListResolverDnssecConfigsCommand;
}($Command));
export { ListResolverDnssecConfigsCommand };
