import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListResolverEndpointIpAddressesRequest, ListResolverEndpointIpAddressesResponse } from "../models/models_0";
import { deserializeAws_json1_1ListResolverEndpointIpAddressesCommand, serializeAws_json1_1ListResolverEndpointIpAddressesCommand, } from "../protocols/Aws_json1_1";
var ListResolverEndpointIpAddressesCommand = (function (_super) {
    __extends(ListResolverEndpointIpAddressesCommand, _super);
    function ListResolverEndpointIpAddressesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListResolverEndpointIpAddressesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "ListResolverEndpointIpAddressesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListResolverEndpointIpAddressesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListResolverEndpointIpAddressesResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListResolverEndpointIpAddressesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListResolverEndpointIpAddressesCommand(input, context);
    };
    ListResolverEndpointIpAddressesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListResolverEndpointIpAddressesCommand(output, context);
    };
    return ListResolverEndpointIpAddressesCommand;
}($Command));
export { ListResolverEndpointIpAddressesCommand };
