import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListResolverEndpointsRequest, ListResolverEndpointsResponse } from "../models/models_0";
import { deserializeAws_json1_1ListResolverEndpointsCommand, serializeAws_json1_1ListResolverEndpointsCommand, } from "../protocols/Aws_json1_1";
var ListResolverEndpointsCommand = (function (_super) {
    __extends(ListResolverEndpointsCommand, _super);
    function ListResolverEndpointsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListResolverEndpointsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "ListResolverEndpointsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListResolverEndpointsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListResolverEndpointsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListResolverEndpointsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListResolverEndpointsCommand(input, context);
    };
    ListResolverEndpointsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListResolverEndpointsCommand(output, context);
    };
    return ListResolverEndpointsCommand;
}($Command));
export { ListResolverEndpointsCommand };
