import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListResolverQueryLogConfigAssociationsRequest, ListResolverQueryLogConfigAssociationsResponse, } from "../models/models_0";
import { deserializeAws_json1_1ListResolverQueryLogConfigAssociationsCommand, serializeAws_json1_1ListResolverQueryLogConfigAssociationsCommand, } from "../protocols/Aws_json1_1";
var ListResolverQueryLogConfigAssociationsCommand = (function (_super) {
    __extends(ListResolverQueryLogConfigAssociationsCommand, _super);
    function ListResolverQueryLogConfigAssociationsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListResolverQueryLogConfigAssociationsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "ListResolverQueryLogConfigAssociationsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListResolverQueryLogConfigAssociationsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListResolverQueryLogConfigAssociationsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListResolverQueryLogConfigAssociationsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListResolverQueryLogConfigAssociationsCommand(input, context);
    };
    ListResolverQueryLogConfigAssociationsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListResolverQueryLogConfigAssociationsCommand(output, context);
    };
    return ListResolverQueryLogConfigAssociationsCommand;
}($Command));
export { ListResolverQueryLogConfigAssociationsCommand };
