import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListResolverQueryLogConfigsRequest, ListResolverQueryLogConfigsResponse } from "../models/models_0";
import { deserializeAws_json1_1ListResolverQueryLogConfigsCommand, serializeAws_json1_1ListResolverQueryLogConfigsCommand, } from "../protocols/Aws_json1_1";
var ListResolverQueryLogConfigsCommand = (function (_super) {
    __extends(ListResolverQueryLogConfigsCommand, _super);
    function ListResolverQueryLogConfigsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListResolverQueryLogConfigsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "ListResolverQueryLogConfigsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListResolverQueryLogConfigsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListResolverQueryLogConfigsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListResolverQueryLogConfigsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListResolverQueryLogConfigsCommand(input, context);
    };
    ListResolverQueryLogConfigsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListResolverQueryLogConfigsCommand(output, context);
    };
    return ListResolverQueryLogConfigsCommand;
}($Command));
export { ListResolverQueryLogConfigsCommand };
