import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListResolverRuleAssociationsRequest, ListResolverRuleAssociationsResponse } from "../models/models_0";
import { deserializeAws_json1_1ListResolverRuleAssociationsCommand, serializeAws_json1_1ListResolverRuleAssociationsCommand, } from "../protocols/Aws_json1_1";
var ListResolverRuleAssociationsCommand = (function (_super) {
    __extends(ListResolverRuleAssociationsCommand, _super);
    function ListResolverRuleAssociationsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListResolverRuleAssociationsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "ListResolverRuleAssociationsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListResolverRuleAssociationsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListResolverRuleAssociationsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListResolverRuleAssociationsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListResolverRuleAssociationsCommand(input, context);
    };
    ListResolverRuleAssociationsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListResolverRuleAssociationsCommand(output, context);
    };
    return ListResolverRuleAssociationsCommand;
}($Command));
export { ListResolverRuleAssociationsCommand };
