import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListResolverRulesRequest, ListResolverRulesResponse } from "../models/models_0";
import { deserializeAws_json1_1ListResolverRulesCommand, serializeAws_json1_1ListResolverRulesCommand, } from "../protocols/Aws_json1_1";
var ListResolverRulesCommand = (function (_super) {
    __extends(ListResolverRulesCommand, _super);
    function ListResolverRulesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListResolverRulesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "ListResolverRulesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListResolverRulesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListResolverRulesResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListResolverRulesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListResolverRulesCommand(input, context);
    };
    ListResolverRulesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListResolverRulesCommand(output, context);
    };
    return ListResolverRulesCommand;
}($Command));
export { ListResolverRulesCommand };
