import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { PutResolverQueryLogConfigPolicyRequest, PutResolverQueryLogConfigPolicyResponse } from "../models/models_0";
import { deserializeAws_json1_1PutResolverQueryLogConfigPolicyCommand, serializeAws_json1_1PutResolverQueryLogConfigPolicyCommand, } from "../protocols/Aws_json1_1";
var PutResolverQueryLogConfigPolicyCommand = (function (_super) {
    __extends(PutResolverQueryLogConfigPolicyCommand, _super);
    function PutResolverQueryLogConfigPolicyCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    PutResolverQueryLogConfigPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "PutResolverQueryLogConfigPolicyCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: PutResolverQueryLogConfigPolicyRequest.filterSensitiveLog,
            outputFilterSensitiveLog: PutResolverQueryLogConfigPolicyResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    PutResolverQueryLogConfigPolicyCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1PutResolverQueryLogConfigPolicyCommand(input, context);
    };
    PutResolverQueryLogConfigPolicyCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1PutResolverQueryLogConfigPolicyCommand(output, context);
    };
    return PutResolverQueryLogConfigPolicyCommand;
}($Command));
export { PutResolverQueryLogConfigPolicyCommand };
