import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { PutResolverRulePolicyRequest, PutResolverRulePolicyResponse } from "../models/models_0";
import { deserializeAws_json1_1PutResolverRulePolicyCommand, serializeAws_json1_1PutResolverRulePolicyCommand, } from "../protocols/Aws_json1_1";
var PutResolverRulePolicyCommand = (function (_super) {
    __extends(PutResolverRulePolicyCommand, _super);
    function PutResolverRulePolicyCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    PutResolverRulePolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "PutResolverRulePolicyCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: PutResolverRulePolicyRequest.filterSensitiveLog,
            outputFilterSensitiveLog: PutResolverRulePolicyResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    PutResolverRulePolicyCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1PutResolverRulePolicyCommand(input, context);
    };
    PutResolverRulePolicyCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1PutResolverRulePolicyCommand(output, context);
    };
    return PutResolverRulePolicyCommand;
}($Command));
export { PutResolverRulePolicyCommand };
