import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateFirewallConfigRequest, UpdateFirewallConfigResponse } from "../models/models_0";
import { deserializeAws_json1_1UpdateFirewallConfigCommand, serializeAws_json1_1UpdateFirewallConfigCommand, } from "../protocols/Aws_json1_1";
var UpdateFirewallConfigCommand = (function (_super) {
    __extends(UpdateFirewallConfigCommand, _super);
    function UpdateFirewallConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateFirewallConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "UpdateFirewallConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateFirewallConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateFirewallConfigResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateFirewallConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateFirewallConfigCommand(input, context);
    };
    UpdateFirewallConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateFirewallConfigCommand(output, context);
    };
    return UpdateFirewallConfigCommand;
}($Command));
export { UpdateFirewallConfigCommand };
