import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateFirewallDomainsRequest, UpdateFirewallDomainsResponse } from "../models/models_0";
import { deserializeAws_json1_1UpdateFirewallDomainsCommand, serializeAws_json1_1UpdateFirewallDomainsCommand, } from "../protocols/Aws_json1_1";
var UpdateFirewallDomainsCommand = (function (_super) {
    __extends(UpdateFirewallDomainsCommand, _super);
    function UpdateFirewallDomainsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateFirewallDomainsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "UpdateFirewallDomainsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateFirewallDomainsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateFirewallDomainsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateFirewallDomainsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateFirewallDomainsCommand(input, context);
    };
    UpdateFirewallDomainsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateFirewallDomainsCommand(output, context);
    };
    return UpdateFirewallDomainsCommand;
}($Command));
export { UpdateFirewallDomainsCommand };
