import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateResolverConfigRequest, UpdateResolverConfigResponse } from "../models/models_0";
import { deserializeAws_json1_1UpdateResolverConfigCommand, serializeAws_json1_1UpdateResolverConfigCommand, } from "../protocols/Aws_json1_1";
var UpdateResolverConfigCommand = (function (_super) {
    __extends(UpdateResolverConfigCommand, _super);
    function UpdateResolverConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateResolverConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "UpdateResolverConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateResolverConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateResolverConfigResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateResolverConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateResolverConfigCommand(input, context);
    };
    UpdateResolverConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateResolverConfigCommand(output, context);
    };
    return UpdateResolverConfigCommand;
}($Command));
export { UpdateResolverConfigCommand };
