import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateResolverDnssecConfigRequest, UpdateResolverDnssecConfigResponse } from "../models/models_0";
import { deserializeAws_json1_1UpdateResolverDnssecConfigCommand, serializeAws_json1_1UpdateResolverDnssecConfigCommand, } from "../protocols/Aws_json1_1";
var UpdateResolverDnssecConfigCommand = (function (_super) {
    __extends(UpdateResolverDnssecConfigCommand, _super);
    function UpdateResolverDnssecConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateResolverDnssecConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "UpdateResolverDnssecConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateResolverDnssecConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateResolverDnssecConfigResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateResolverDnssecConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateResolverDnssecConfigCommand(input, context);
    };
    UpdateResolverDnssecConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateResolverDnssecConfigCommand(output, context);
    };
    return UpdateResolverDnssecConfigCommand;
}($Command));
export { UpdateResolverDnssecConfigCommand };
