import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateResolverRuleRequest, UpdateResolverRuleResponse } from "../models/models_0";
import { deserializeAws_json1_1UpdateResolverRuleCommand, serializeAws_json1_1UpdateResolverRuleCommand, } from "../protocols/Aws_json1_1";
var UpdateResolverRuleCommand = (function (_super) {
    __extends(UpdateResolverRuleCommand, _super);
    function UpdateResolverRuleCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateResolverRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "Route53ResolverClient";
        var commandName = "UpdateResolverRuleCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateResolverRuleRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateResolverRuleResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateResolverRuleCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateResolverRuleCommand(input, context);
    };
    UpdateResolverRuleCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateResolverRuleCommand(output, context);
    };
    return UpdateResolverRuleCommand;
}($Command));
export { UpdateResolverRuleCommand };
