import { EndpointsInputConfig, EndpointsResolvedConfig, RegionInputConfig, RegionResolvedConfig } from "@aws-sdk/config-resolver";
import { HostHeaderInputConfig, HostHeaderResolvedConfig } from "@aws-sdk/middleware-host-header";
import { RetryInputConfig, RetryResolvedConfig } from "@aws-sdk/middleware-retry";
import { AwsAuthInputConfig, AwsAuthResolvedConfig } from "@aws-sdk/middleware-signing";
import { UserAgentInputConfig, UserAgentResolvedConfig } from "@aws-sdk/middleware-user-agent";
import { HttpHandler as __HttpHandler } from "@aws-sdk/protocol-http";
import { Client as __Client, DefaultsMode, SmithyConfiguration as __SmithyConfiguration, SmithyResolvedConfiguration as __SmithyResolvedConfiguration } from "@aws-sdk/smithy-client";
import { BodyLengthCalculator as __BodyLengthCalculator, Credentials as __Credentials, Decoder as __Decoder, Encoder as __Encoder, HashConstructor as __HashConstructor, HttpHandlerOptions as __HttpHandlerOptions, Logger as __Logger, Provider as __Provider, Provider, RegionInfoProvider, StreamCollector as __StreamCollector, UrlParser as __UrlParser, UserAgent as __UserAgent } from "@aws-sdk/types";
import { AssociateFirewallRuleGroupCommandInput, AssociateFirewallRuleGroupCommandOutput } from "./commands/AssociateFirewallRuleGroupCommand";
import { AssociateResolverEndpointIpAddressCommandInput, AssociateResolverEndpointIpAddressCommandOutput } from "./commands/AssociateResolverEndpointIpAddressCommand";
import { AssociateResolverQueryLogConfigCommandInput, AssociateResolverQueryLogConfigCommandOutput } from "./commands/AssociateResolverQueryLogConfigCommand";
import { AssociateResolverRuleCommandInput, AssociateResolverRuleCommandOutput } from "./commands/AssociateResolverRuleCommand";
import { CreateFirewallDomainListCommandInput, CreateFirewallDomainListCommandOutput } from "./commands/CreateFirewallDomainListCommand";
import { CreateFirewallRuleCommandInput, CreateFirewallRuleCommandOutput } from "./commands/CreateFirewallRuleCommand";
import { CreateFirewallRuleGroupCommandInput, CreateFirewallRuleGroupCommandOutput } from "./commands/CreateFirewallRuleGroupCommand";
import { CreateResolverEndpointCommandInput, CreateResolverEndpointCommandOutput } from "./commands/CreateResolverEndpointCommand";
import { CreateResolverQueryLogConfigCommandInput, CreateResolverQueryLogConfigCommandOutput } from "./commands/CreateResolverQueryLogConfigCommand";
import { CreateResolverRuleCommandInput, CreateResolverRuleCommandOutput } from "./commands/CreateResolverRuleCommand";
import { DeleteFirewallDomainListCommandInput, DeleteFirewallDomainListCommandOutput } from "./commands/DeleteFirewallDomainListCommand";
import { DeleteFirewallRuleCommandInput, DeleteFirewallRuleCommandOutput } from "./commands/DeleteFirewallRuleCommand";
import { DeleteFirewallRuleGroupCommandInput, DeleteFirewallRuleGroupCommandOutput } from "./commands/DeleteFirewallRuleGroupCommand";
import { DeleteResolverEndpointCommandInput, DeleteResolverEndpointCommandOutput } from "./commands/DeleteResolverEndpointCommand";
import { DeleteResolverQueryLogConfigCommandInput, DeleteResolverQueryLogConfigCommandOutput } from "./commands/DeleteResolverQueryLogConfigCommand";
import { DeleteResolverRuleCommandInput, DeleteResolverRuleCommandOutput } from "./commands/DeleteResolverRuleCommand";
import { DisassociateFirewallRuleGroupCommandInput, DisassociateFirewallRuleGroupCommandOutput } from "./commands/DisassociateFirewallRuleGroupCommand";
import { DisassociateResolverEndpointIpAddressCommandInput, DisassociateResolverEndpointIpAddressCommandOutput } from "./commands/DisassociateResolverEndpointIpAddressCommand";
import { DisassociateResolverQueryLogConfigCommandInput, DisassociateResolverQueryLogConfigCommandOutput } from "./commands/DisassociateResolverQueryLogConfigCommand";
import { DisassociateResolverRuleCommandInput, DisassociateResolverRuleCommandOutput } from "./commands/DisassociateResolverRuleCommand";
import { GetFirewallConfigCommandInput, GetFirewallConfigCommandOutput } from "./commands/GetFirewallConfigCommand";
import { GetFirewallDomainListCommandInput, GetFirewallDomainListCommandOutput } from "./commands/GetFirewallDomainListCommand";
import { GetFirewallRuleGroupAssociationCommandInput, GetFirewallRuleGroupAssociationCommandOutput } from "./commands/GetFirewallRuleGroupAssociationCommand";
import { GetFirewallRuleGroupCommandInput, GetFirewallRuleGroupCommandOutput } from "./commands/GetFirewallRuleGroupCommand";
import { GetFirewallRuleGroupPolicyCommandInput, GetFirewallRuleGroupPolicyCommandOutput } from "./commands/GetFirewallRuleGroupPolicyCommand";
import { GetResolverConfigCommandInput, GetResolverConfigCommandOutput } from "./commands/GetResolverConfigCommand";
import { GetResolverDnssecConfigCommandInput, GetResolverDnssecConfigCommandOutput } from "./commands/GetResolverDnssecConfigCommand";
import { GetResolverEndpointCommandInput, GetResolverEndpointCommandOutput } from "./commands/GetResolverEndpointCommand";
import { GetResolverQueryLogConfigAssociationCommandInput, GetResolverQueryLogConfigAssociationCommandOutput } from "./commands/GetResolverQueryLogConfigAssociationCommand";
import { GetResolverQueryLogConfigCommandInput, GetResolverQueryLogConfigCommandOutput } from "./commands/GetResolverQueryLogConfigCommand";
import { GetResolverQueryLogConfigPolicyCommandInput, GetResolverQueryLogConfigPolicyCommandOutput } from "./commands/GetResolverQueryLogConfigPolicyCommand";
import { GetResolverRuleAssociationCommandInput, GetResolverRuleAssociationCommandOutput } from "./commands/GetResolverRuleAssociationCommand";
import { GetResolverRuleCommandInput, GetResolverRuleCommandOutput } from "./commands/GetResolverRuleCommand";
import { GetResolverRulePolicyCommandInput, GetResolverRulePolicyCommandOutput } from "./commands/GetResolverRulePolicyCommand";
import { ImportFirewallDomainsCommandInput, ImportFirewallDomainsCommandOutput } from "./commands/ImportFirewallDomainsCommand";
import { ListFirewallConfigsCommandInput, ListFirewallConfigsCommandOutput } from "./commands/ListFirewallConfigsCommand";
import { ListFirewallDomainListsCommandInput, ListFirewallDomainListsCommandOutput } from "./commands/ListFirewallDomainListsCommand";
import { ListFirewallDomainsCommandInput, ListFirewallDomainsCommandOutput } from "./commands/ListFirewallDomainsCommand";
import { ListFirewallRuleGroupAssociationsCommandInput, ListFirewallRuleGroupAssociationsCommandOutput } from "./commands/ListFirewallRuleGroupAssociationsCommand";
import { ListFirewallRuleGroupsCommandInput, ListFirewallRuleGroupsCommandOutput } from "./commands/ListFirewallRuleGroupsCommand";
import { ListFirewallRulesCommandInput, ListFirewallRulesCommandOutput } from "./commands/ListFirewallRulesCommand";
import { ListResolverConfigsCommandInput, ListResolverConfigsCommandOutput } from "./commands/ListResolverConfigsCommand";
import { ListResolverDnssecConfigsCommandInput, ListResolverDnssecConfigsCommandOutput } from "./commands/ListResolverDnssecConfigsCommand";
import { ListResolverEndpointIpAddressesCommandInput, ListResolverEndpointIpAddressesCommandOutput } from "./commands/ListResolverEndpointIpAddressesCommand";
import { ListResolverEndpointsCommandInput, ListResolverEndpointsCommandOutput } from "./commands/ListResolverEndpointsCommand";
import { ListResolverQueryLogConfigAssociationsCommandInput, ListResolverQueryLogConfigAssociationsCommandOutput } from "./commands/ListResolverQueryLogConfigAssociationsCommand";
import { ListResolverQueryLogConfigsCommandInput, ListResolverQueryLogConfigsCommandOutput } from "./commands/ListResolverQueryLogConfigsCommand";
import { ListResolverRuleAssociationsCommandInput, ListResolverRuleAssociationsCommandOutput } from "./commands/ListResolverRuleAssociationsCommand";
import { ListResolverRulesCommandInput, ListResolverRulesCommandOutput } from "./commands/ListResolverRulesCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "./commands/ListTagsForResourceCommand";
import { PutFirewallRuleGroupPolicyCommandInput, PutFirewallRuleGroupPolicyCommandOutput } from "./commands/PutFirewallRuleGroupPolicyCommand";
import { PutResolverQueryLogConfigPolicyCommandInput, PutResolverQueryLogConfigPolicyCommandOutput } from "./commands/PutResolverQueryLogConfigPolicyCommand";
import { PutResolverRulePolicyCommandInput, PutResolverRulePolicyCommandOutput } from "./commands/PutResolverRulePolicyCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "./commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "./commands/UntagResourceCommand";
import { UpdateFirewallConfigCommandInput, UpdateFirewallConfigCommandOutput } from "./commands/UpdateFirewallConfigCommand";
import { UpdateFirewallDomainsCommandInput, UpdateFirewallDomainsCommandOutput } from "./commands/UpdateFirewallDomainsCommand";
import { UpdateFirewallRuleCommandInput, UpdateFirewallRuleCommandOutput } from "./commands/UpdateFirewallRuleCommand";
import { UpdateFirewallRuleGroupAssociationCommandInput, UpdateFirewallRuleGroupAssociationCommandOutput } from "./commands/UpdateFirewallRuleGroupAssociationCommand";
import { UpdateResolverConfigCommandInput, UpdateResolverConfigCommandOutput } from "./commands/UpdateResolverConfigCommand";
import { UpdateResolverDnssecConfigCommandInput, UpdateResolverDnssecConfigCommandOutput } from "./commands/UpdateResolverDnssecConfigCommand";
import { UpdateResolverEndpointCommandInput, UpdateResolverEndpointCommandOutput } from "./commands/UpdateResolverEndpointCommand";
import { UpdateResolverRuleCommandInput, UpdateResolverRuleCommandOutput } from "./commands/UpdateResolverRuleCommand";
export declare type ServiceInputTypes = AssociateFirewallRuleGroupCommandInput | AssociateResolverEndpointIpAddressCommandInput | AssociateResolverQueryLogConfigCommandInput | AssociateResolverRuleCommandInput | CreateFirewallDomainListCommandInput | CreateFirewallRuleCommandInput | CreateFirewallRuleGroupCommandInput | CreateResolverEndpointCommandInput | CreateResolverQueryLogConfigCommandInput | CreateResolverRuleCommandInput | DeleteFirewallDomainListCommandInput | DeleteFirewallRuleCommandInput | DeleteFirewallRuleGroupCommandInput | DeleteResolverEndpointCommandInput | DeleteResolverQueryLogConfigCommandInput | DeleteResolverRuleCommandInput | DisassociateFirewallRuleGroupCommandInput | DisassociateResolverEndpointIpAddressCommandInput | DisassociateResolverQueryLogConfigCommandInput | DisassociateResolverRuleCommandInput | GetFirewallConfigCommandInput | GetFirewallDomainListCommandInput | GetFirewallRuleGroupAssociationCommandInput | GetFirewallRuleGroupCommandInput | GetFirewallRuleGroupPolicyCommandInput | GetResolverConfigCommandInput | GetResolverDnssecConfigCommandInput | GetResolverEndpointCommandInput | GetResolverQueryLogConfigAssociationCommandInput | GetResolverQueryLogConfigCommandInput | GetResolverQueryLogConfigPolicyCommandInput | GetResolverRuleAssociationCommandInput | GetResolverRuleCommandInput | GetResolverRulePolicyCommandInput | ImportFirewallDomainsCommandInput | ListFirewallConfigsCommandInput | ListFirewallDomainListsCommandInput | ListFirewallDomainsCommandInput | ListFirewallRuleGroupAssociationsCommandInput | ListFirewallRuleGroupsCommandInput | ListFirewallRulesCommandInput | ListResolverConfigsCommandInput | ListResolverDnssecConfigsCommandInput | ListResolverEndpointIpAddressesCommandInput | ListResolverEndpointsCommandInput | ListResolverQueryLogConfigAssociationsCommandInput | ListResolverQueryLogConfigsCommandInput | ListResolverRuleAssociationsCommandInput | ListResolverRulesCommandInput | ListTagsForResourceCommandInput | PutFirewallRuleGroupPolicyCommandInput | PutResolverQueryLogConfigPolicyCommandInput | PutResolverRulePolicyCommandInput | TagResourceCommandInput | UntagResourceCommandInput | UpdateFirewallConfigCommandInput | UpdateFirewallDomainsCommandInput | UpdateFirewallRuleCommandInput | UpdateFirewallRuleGroupAssociationCommandInput | UpdateResolverConfigCommandInput | UpdateResolverDnssecConfigCommandInput | UpdateResolverEndpointCommandInput | UpdateResolverRuleCommandInput;
export declare type ServiceOutputTypes = AssociateFirewallRuleGroupCommandOutput | AssociateResolverEndpointIpAddressCommandOutput | AssociateResolverQueryLogConfigCommandOutput | AssociateResolverRuleCommandOutput | CreateFirewallDomainListCommandOutput | CreateFirewallRuleCommandOutput | CreateFirewallRuleGroupCommandOutput | CreateResolverEndpointCommandOutput | CreateResolverQueryLogConfigCommandOutput | CreateResolverRuleCommandOutput | DeleteFirewallDomainListCommandOutput | DeleteFirewallRuleCommandOutput | DeleteFirewallRuleGroupCommandOutput | DeleteResolverEndpointCommandOutput | DeleteResolverQueryLogConfigCommandOutput | DeleteResolverRuleCommandOutput | DisassociateFirewallRuleGroupCommandOutput | DisassociateResolverEndpointIpAddressCommandOutput | DisassociateResolverQueryLogConfigCommandOutput | DisassociateResolverRuleCommandOutput | GetFirewallConfigCommandOutput | GetFirewallDomainListCommandOutput | GetFirewallRuleGroupAssociationCommandOutput | GetFirewallRuleGroupCommandOutput | GetFirewallRuleGroupPolicyCommandOutput | GetResolverConfigCommandOutput | GetResolverDnssecConfigCommandOutput | GetResolverEndpointCommandOutput | GetResolverQueryLogConfigAssociationCommandOutput | GetResolverQueryLogConfigCommandOutput | GetResolverQueryLogConfigPolicyCommandOutput | GetResolverRuleAssociationCommandOutput | GetResolverRuleCommandOutput | GetResolverRulePolicyCommandOutput | ImportFirewallDomainsCommandOutput | ListFirewallConfigsCommandOutput | ListFirewallDomainListsCommandOutput | ListFirewallDomainsCommandOutput | ListFirewallRuleGroupAssociationsCommandOutput | ListFirewallRuleGroupsCommandOutput | ListFirewallRulesCommandOutput | ListResolverConfigsCommandOutput | ListResolverDnssecConfigsCommandOutput | ListResolverEndpointIpAddressesCommandOutput | ListResolverEndpointsCommandOutput | ListResolverQueryLogConfigAssociationsCommandOutput | ListResolverQueryLogConfigsCommandOutput | ListResolverRuleAssociationsCommandOutput | ListResolverRulesCommandOutput | ListTagsForResourceCommandOutput | PutFirewallRuleGroupPolicyCommandOutput | PutResolverQueryLogConfigPolicyCommandOutput | PutResolverRulePolicyCommandOutput | TagResourceCommandOutput | UntagResourceCommandOutput | UpdateFirewallConfigCommandOutput | UpdateFirewallDomainsCommandOutput | UpdateFirewallRuleCommandOutput | UpdateFirewallRuleGroupAssociationCommandOutput | UpdateResolverConfigCommandOutput | UpdateResolverDnssecConfigCommandOutput | UpdateResolverEndpointCommandOutput | UpdateResolverRuleCommandOutput;
export interface ClientDefaults extends Partial<__SmithyResolvedConfiguration<__HttpHandlerOptions>> {
    
    requestHandler?: __HttpHandler;
    
    sha256?: __HashConstructor;
    
    urlParser?: __UrlParser;
    
    bodyLengthChecker?: __BodyLengthCalculator;
    
    streamCollector?: __StreamCollector;
    
    base64Decoder?: __Decoder;
    
    base64Encoder?: __Encoder;
    
    utf8Decoder?: __Decoder;
    
    utf8Encoder?: __Encoder;
    
    runtime?: string;
    
    disableHostPrefix?: boolean;
    
    maxAttempts?: number | __Provider<number>;
    
    retryMode?: string | __Provider<string>;
    
    logger?: __Logger;
    
    useDualstackEndpoint?: boolean | __Provider<boolean>;
    
    useFipsEndpoint?: boolean | __Provider<boolean>;
    
    serviceId?: string;
    
    region?: string | __Provider<string>;
    
    credentialDefaultProvider?: (input: any) => __Provider<__Credentials>;
    
    regionInfoProvider?: RegionInfoProvider;
    
    defaultUserAgentProvider?: Provider<__UserAgent>;
    
    defaultsMode?: DefaultsMode | Provider<DefaultsMode>;
}
declare type Route53ResolverClientConfigType = Partial<__SmithyConfiguration<__HttpHandlerOptions>> & ClientDefaults & RegionInputConfig & EndpointsInputConfig & RetryInputConfig & HostHeaderInputConfig & AwsAuthInputConfig & UserAgentInputConfig;

export interface Route53ResolverClientConfig extends Route53ResolverClientConfigType {
}
declare type Route53ResolverClientResolvedConfigType = __SmithyResolvedConfiguration<__HttpHandlerOptions> & Required<ClientDefaults> & RegionResolvedConfig & EndpointsResolvedConfig & RetryResolvedConfig & HostHeaderResolvedConfig & AwsAuthResolvedConfig & UserAgentResolvedConfig;

export interface Route53ResolverClientResolvedConfig extends Route53ResolverClientResolvedConfigType {
}

export declare class Route53ResolverClient extends __Client<__HttpHandlerOptions, ServiceInputTypes, ServiceOutputTypes, Route53ResolverClientResolvedConfig> {
    
    readonly config: Route53ResolverClientResolvedConfig;
    constructor(configuration: Route53ResolverClientConfig);
    
    destroy(): void;
}
export {};
