import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateFirewallDomainListRequest, CreateFirewallDomainListResponse } from "../models/models_0";
import { Route53ResolverClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../Route53ResolverClient";
export interface CreateFirewallDomainListCommandInput extends CreateFirewallDomainListRequest {
}
export interface CreateFirewallDomainListCommandOutput extends CreateFirewallDomainListResponse, __MetadataBearer {
}

export declare class CreateFirewallDomainListCommand extends $Command<CreateFirewallDomainListCommandInput, CreateFirewallDomainListCommandOutput, Route53ResolverClientResolvedConfig> {
    readonly input: CreateFirewallDomainListCommandInput;
    constructor(input: CreateFirewallDomainListCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: Route53ResolverClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateFirewallDomainListCommandInput, CreateFirewallDomainListCommandOutput>;
    private serialize;
    private deserialize;
}
