import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateFirewallRuleRequest, CreateFirewallRuleResponse } from "../models/models_0";
import { Route53ResolverClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../Route53ResolverClient";
export interface CreateFirewallRuleCommandInput extends CreateFirewallRuleRequest {
}
export interface CreateFirewallRuleCommandOutput extends CreateFirewallRuleResponse, __MetadataBearer {
}

export declare class CreateFirewallRuleCommand extends $Command<CreateFirewallRuleCommandInput, CreateFirewallRuleCommandOutput, Route53ResolverClientResolvedConfig> {
    readonly input: CreateFirewallRuleCommandInput;
    constructor(input: CreateFirewallRuleCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: Route53ResolverClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateFirewallRuleCommandInput, CreateFirewallRuleCommandOutput>;
    private serialize;
    private deserialize;
}
