import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateFirewallRuleGroupRequest, CreateFirewallRuleGroupResponse } from "../models/models_0";
import { Route53ResolverClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../Route53ResolverClient";
export interface CreateFirewallRuleGroupCommandInput extends CreateFirewallRuleGroupRequest {
}
export interface CreateFirewallRuleGroupCommandOutput extends CreateFirewallRuleGroupResponse, __MetadataBearer {
}

export declare class CreateFirewallRuleGroupCommand extends $Command<CreateFirewallRuleGroupCommandInput, CreateFirewallRuleGroupCommandOutput, Route53ResolverClientResolvedConfig> {
    readonly input: CreateFirewallRuleGroupCommandInput;
    constructor(input: CreateFirewallRuleGroupCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: Route53ResolverClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateFirewallRuleGroupCommandInput, CreateFirewallRuleGroupCommandOutput>;
    private serialize;
    private deserialize;
}
