import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateResolverQueryLogConfigRequest, CreateResolverQueryLogConfigResponse } from "../models/models_0";
import { Route53ResolverClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../Route53ResolverClient";
export interface CreateResolverQueryLogConfigCommandInput extends CreateResolverQueryLogConfigRequest {
}
export interface CreateResolverQueryLogConfigCommandOutput extends CreateResolverQueryLogConfigResponse, __MetadataBearer {
}

export declare class CreateResolverQueryLogConfigCommand extends $Command<CreateResolverQueryLogConfigCommandInput, CreateResolverQueryLogConfigCommandOutput, Route53ResolverClientResolvedConfig> {
    readonly input: CreateResolverQueryLogConfigCommandInput;
    constructor(input: CreateResolverQueryLogConfigCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: Route53ResolverClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateResolverQueryLogConfigCommandInput, CreateResolverQueryLogConfigCommandOutput>;
    private serialize;
    private deserialize;
}
