import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteFirewallRuleRequest, DeleteFirewallRuleResponse } from "../models/models_0";
import { Route53ResolverClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../Route53ResolverClient";
export interface DeleteFirewallRuleCommandInput extends DeleteFirewallRuleRequest {
}
export interface DeleteFirewallRuleCommandOutput extends DeleteFirewallRuleResponse, __MetadataBearer {
}

export declare class DeleteFirewallRuleCommand extends $Command<DeleteFirewallRuleCommandInput, DeleteFirewallRuleCommandOutput, Route53ResolverClientResolvedConfig> {
    readonly input: DeleteFirewallRuleCommandInput;
    constructor(input: DeleteFirewallRuleCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: Route53ResolverClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteFirewallRuleCommandInput, DeleteFirewallRuleCommandOutput>;
    private serialize;
    private deserialize;
}
