import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteFirewallRuleGroupRequest, DeleteFirewallRuleGroupResponse } from "../models/models_0";
import { Route53ResolverClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../Route53ResolverClient";
export interface DeleteFirewallRuleGroupCommandInput extends DeleteFirewallRuleGroupRequest {
}
export interface DeleteFirewallRuleGroupCommandOutput extends DeleteFirewallRuleGroupResponse, __MetadataBearer {
}

export declare class DeleteFirewallRuleGroupCommand extends $Command<DeleteFirewallRuleGroupCommandInput, DeleteFirewallRuleGroupCommandOutput, Route53ResolverClientResolvedConfig> {
    readonly input: DeleteFirewallRuleGroupCommandInput;
    constructor(input: DeleteFirewallRuleGroupCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: Route53ResolverClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteFirewallRuleGroupCommandInput, DeleteFirewallRuleGroupCommandOutput>;
    private serialize;
    private deserialize;
}
