import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteResolverQueryLogConfigRequest, DeleteResolverQueryLogConfigResponse } from "../models/models_0";
import { Route53ResolverClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../Route53ResolverClient";
export interface DeleteResolverQueryLogConfigCommandInput extends DeleteResolverQueryLogConfigRequest {
}
export interface DeleteResolverQueryLogConfigCommandOutput extends DeleteResolverQueryLogConfigResponse, __MetadataBearer {
}

export declare class DeleteResolverQueryLogConfigCommand extends $Command<DeleteResolverQueryLogConfigCommandInput, DeleteResolverQueryLogConfigCommandOutput, Route53ResolverClientResolvedConfig> {
    readonly input: DeleteResolverQueryLogConfigCommandInput;
    constructor(input: DeleteResolverQueryLogConfigCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: Route53ResolverClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteResolverQueryLogConfigCommandInput, DeleteResolverQueryLogConfigCommandOutput>;
    private serialize;
    private deserialize;
}
