import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { GetFirewallConfigRequest, GetFirewallConfigResponse } from "../models/models_0";
import { Route53ResolverClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../Route53ResolverClient";
export interface GetFirewallConfigCommandInput extends GetFirewallConfigRequest {
}
export interface GetFirewallConfigCommandOutput extends GetFirewallConfigResponse, __MetadataBearer {
}

export declare class GetFirewallConfigCommand extends $Command<GetFirewallConfigCommandInput, GetFirewallConfigCommandOutput, Route53ResolverClientResolvedConfig> {
    readonly input: GetFirewallConfigCommandInput;
    constructor(input: GetFirewallConfigCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: Route53ResolverClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetFirewallConfigCommandInput, GetFirewallConfigCommandOutput>;
    private serialize;
    private deserialize;
}
