import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { GetFirewallDomainListRequest, GetFirewallDomainListResponse } from "../models/models_0";
import { Route53ResolverClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../Route53ResolverClient";
export interface GetFirewallDomainListCommandInput extends GetFirewallDomainListRequest {
}
export interface GetFirewallDomainListCommandOutput extends GetFirewallDomainListResponse, __MetadataBearer {
}

export declare class GetFirewallDomainListCommand extends $Command<GetFirewallDomainListCommandInput, GetFirewallDomainListCommandOutput, Route53ResolverClientResolvedConfig> {
    readonly input: GetFirewallDomainListCommandInput;
    constructor(input: GetFirewallDomainListCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: Route53ResolverClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetFirewallDomainListCommandInput, GetFirewallDomainListCommandOutput>;
    private serialize;
    private deserialize;
}
