import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { GetFirewallRuleGroupRequest, GetFirewallRuleGroupResponse } from "../models/models_0";
import { Route53ResolverClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../Route53ResolverClient";
export interface GetFirewallRuleGroupCommandInput extends GetFirewallRuleGroupRequest {
}
export interface GetFirewallRuleGroupCommandOutput extends GetFirewallRuleGroupResponse, __MetadataBearer {
}

export declare class GetFirewallRuleGroupCommand extends $Command<GetFirewallRuleGroupCommandInput, GetFirewallRuleGroupCommandOutput, Route53ResolverClientResolvedConfig> {
    readonly input: GetFirewallRuleGroupCommandInput;
    constructor(input: GetFirewallRuleGroupCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: Route53ResolverClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetFirewallRuleGroupCommandInput, GetFirewallRuleGroupCommandOutput>;
    private serialize;
    private deserialize;
}
