import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { GetResolverConfigRequest, GetResolverConfigResponse } from "../models/models_0";
import { Route53ResolverClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../Route53ResolverClient";
export interface GetResolverConfigCommandInput extends GetResolverConfigRequest {
}
export interface GetResolverConfigCommandOutput extends GetResolverConfigResponse, __MetadataBearer {
}

export declare class GetResolverConfigCommand extends $Command<GetResolverConfigCommandInput, GetResolverConfigCommandOutput, Route53ResolverClientResolvedConfig> {
    readonly input: GetResolverConfigCommandInput;
    constructor(input: GetResolverConfigCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: Route53ResolverClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetResolverConfigCommandInput, GetResolverConfigCommandOutput>;
    private serialize;
    private deserialize;
}
