import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListResolverConfigsRequest, ListResolverConfigsResponse } from "../models/models_0";
import { Route53ResolverClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../Route53ResolverClient";
export interface ListResolverConfigsCommandInput extends ListResolverConfigsRequest {
}
export interface ListResolverConfigsCommandOutput extends ListResolverConfigsResponse, __MetadataBearer {
}

export declare class ListResolverConfigsCommand extends $Command<ListResolverConfigsCommandInput, ListResolverConfigsCommandOutput, Route53ResolverClientResolvedConfig> {
    readonly input: ListResolverConfigsCommandInput;
    constructor(input: ListResolverConfigsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: Route53ResolverClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListResolverConfigsCommandInput, ListResolverConfigsCommandOutput>;
    private serialize;
    private deserialize;
}
