import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { UpdateResolverConfigRequest, UpdateResolverConfigResponse } from "../models/models_0";
import { Route53ResolverClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../Route53ResolverClient";
export interface UpdateResolverConfigCommandInput extends UpdateResolverConfigRequest {
}
export interface UpdateResolverConfigCommandOutput extends UpdateResolverConfigResponse, __MetadataBearer {
}

export declare class UpdateResolverConfigCommand extends $Command<UpdateResolverConfigCommandInput, UpdateResolverConfigCommandOutput, Route53ResolverClientResolvedConfig> {
    readonly input: UpdateResolverConfigCommandInput;
    constructor(input: UpdateResolverConfigCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: Route53ResolverClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateResolverConfigCommandInput, UpdateResolverConfigCommandOutput>;
    private serialize;
    private deserialize;
}
