import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { UpdateResolverDnssecConfigRequest, UpdateResolverDnssecConfigResponse } from "../models/models_0";
import { Route53ResolverClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../Route53ResolverClient";
export interface UpdateResolverDnssecConfigCommandInput extends UpdateResolverDnssecConfigRequest {
}
export interface UpdateResolverDnssecConfigCommandOutput extends UpdateResolverDnssecConfigResponse, __MetadataBearer {
}

export declare class UpdateResolverDnssecConfigCommand extends $Command<UpdateResolverDnssecConfigCommandInput, UpdateResolverDnssecConfigCommandOutput, Route53ResolverClientResolvedConfig> {
    readonly input: UpdateResolverDnssecConfigCommandInput;
    constructor(input: UpdateResolverDnssecConfigCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: Route53ResolverClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateResolverDnssecConfigCommandInput, UpdateResolverDnssecConfigCommandOutput>;
    private serialize;
    private deserialize;
}
